From a1fd3a5cbc3697d6e5d9379995a43af133178ebb Mon Sep 17 00:00:00 2001
From: Junwang Zhao <zhjwpku@gmail.com>
Date: Wed, 10 Aug 2022 23:24:00 +0800
Subject: [PATCH v1] fix stale help message

when parsing command-line options, the -f option support disabling
8 scan and join methods, o, b and t disable index-only scans,
bitmap index scans, and TID scans respectively, add them to the
help message.

Signed-off-by: Junwang Zhao <zhjwpku@gmail.com>
---
 src/backend/main/main.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/backend/main/main.c b/src/backend/main/main.c
index 5a964a0db6..f5da4260a1 100644
--- a/src/backend/main/main.c
+++ b/src/backend/main/main.c
@@ -351,7 +351,7 @@ help(const char *progname)
 	printf(_("  -?, --help         show this help, then exit\n"));
 
 	printf(_("\nDeveloper options:\n"));
-	printf(_("  -f s|i|n|m|h       forbid use of some plan types\n"));
+	printf(_("  -f s|i|o|b|t|n|m|h forbid use of some plan types\n"));
 	printf(_("  -n                 do not reinitialize shared memory after abnormal exit\n"));
 	printf(_("  -O                 allow system table structure changes\n"));
 	printf(_("  -P                 disable system indexes\n"));
-- 
2.33.0

